zenilib: zenilib/jni/external/freetype2/src/cache/ftcglyph.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ftcglyph.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_CACHE_H>`
`#include "ftcglyph.h"`
`#include <FT_ERRORS_H>`
`#include "ftccback.h"`
`#include "ftcerror.h"`

Go to the source code of this file.

## Functions

| FTC_Family_Init (FTC_Family family, FTC_Cache cache)
| ftc_gcache_done (FTC_Cache ftccache)
| ftc_gcache_init (FTC_Cache ftccache)
| FTC_GCache_New (FTC_Manager manager, FTC_GCacheClass clazz, FTC_GCache *acache)
| ftc_gnode_compare (FTC_Node ftcgnode, FT_Pointer ftcgquery, FTC_Cache cache, FT_Bool *list_changed)
| FTC_GNode_Compare (FTC_GNode gnode, FTC_GQuery gquery, FTC_Cache cache, FT_Bool *list_changed)
| FTC_GNode_Done (FTC_GNode gnode, FTC_Cache cache)
| FTC_GNode_Init (FTC_GNode gnode, FT_UInt gindex, FTC_Family family)
| FTC_GNode_UnselectFamily (FTC_GNode gnode, FTC_Cache cache)

## Function Documentation

FTC_Family_Init | ( | FTC_Family | family,
|  | FTC_Cache | cache
| ) |  |

Definition at line 106 of file ftcglyph.c.

References FTC_GCacheClassRec_::family_class, and FTC_CACHE__GCACHE_CLASS.

Referenced by ftc_basic_family_init().

ftc_gcache_done | ( | FTC_Cache | ftccache | ) |

Definition at line 153 of file ftcglyph.c.

References FTC_Cache_Done(), and FTC_MruList_Done().

ftc_gcache_init | ( | FTC_Cache | ftccache | ) |

Definition at line 119 of file ftcglyph.c.

References error, FTC_GCacheRec_::families, FTC_GCacheClassRec_::family_class, FTC_CACHE, FTC_Cache_Init(), and FTC_MruList_Init().

FTC_GCache_New | ( | FTC_Manager | manager,
|  | FTC_GCacheClass | clazz,
|  | FTC_GCache * | acache
| ) |  |

Definition at line 175 of file ftcglyph.c.

References FTC_Manager_RegisterCache().

Referenced by FTC_ImageCache_New(), and FTC_SBitCache_New().

ftc_gnode_compare | ( | FTC_Node | ftcgnode,
|  | FT_Pointer | ftcgquery,
|  | FTC_Cache | cache,
|  | FT_Bool * | list_changed
| ) |  |

Definition at line 66 of file ftcglyph.c.

References FALSE, FTC_GNodeRec_::family, FTC_GQueryRec_::family, FT_BOOL, FT_UNUSED, FTC_GNodeRec_::gindex, and FTC_GQueryRec_::gindex.

Referenced by FTC_GNode_Compare().

FTC_GNode_Compare | ( | FTC_GNode | gnode,
|  | FTC_GQuery | gquery,
|  | FTC_Cache | cache,
|  | FT_Bool * | list_changed
| ) |  |

Definition at line 86 of file ftcglyph.c.

References ftc_gnode_compare(), and FTC_NODE.

Referenced by FTC_ImageCache_Lookup(), and FTC_ImageCache_LookupScaler().

FTC_GNode_Done | ( | FTC_GNode | gnode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 55 of file ftcglyph.c.

References FTC_GNode_UnselectFamily().

Referenced by ftc_inode_free(), and ftc_snode_free().

FTC_GNode_Init | ( | FTC_GNode | gnode,
|  | FT_UInt | gindex,
|  | FTC_Family | family
| ) |  |

Definition at line 31 of file ftcglyph.c.

Referenced by FTC_INode_New(), and FTC_SNode_New().

FTC_GNode_UnselectFamily | ( | FTC_GNode | gnode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 42 of file ftcglyph.c.

References FTC_FAMILY_FREE, and NULL.

Referenced by ftc_basic_gnode_compare_faceid(), and FTC_GNode_Done().